﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Data.Sql;
using System.Data.SqlClient;

namespace Anbardari
{
    public partial class Haml : Form
    {
        public Haml()
        {
            InitializeComponent();
        }

        private void BtnNew_Click(object sender, EventArgs e)
        {
            if (TxtNoe_Mashin.Text == string.Empty)
                TxtNoe_Mashin.Text = " ";
            if (TxtSh_Pelak_Mashin.Text == string.Empty)
                TxtSh_Pelak_Mashin.Text = " ";
            if (TxtVorudTarikh.Text == string.Empty)
                TxtVorudTarikh.Text = Convert.ToString(DateTime.Now);
            if (Txtname_rannande.Text == string.Empty)
                Txtname_rannande.Text = " ";
            if (TxtKhorujTarikh.Text == string.Empty)
                TxtKhorujTarikh.Text = Convert.ToString(DateTime.Now.AddHours(2));
            if (TxtDescription.Text == string.Empty)
                TxtDescription.Text = " ";
            if (TxtCodeAnbar.Text == string.Empty)
                TxtCodeAnbar.Text = "0";

            SqlConnection conn = new SqlConnection();
            conn.ConnectionString = "Data Source=.;AttachDbFilename=|DataDirectory|\\anbardari.mdf;Integrated Security=True";

            SqlCommand comm = new SqlCommand();
            comm.Connection = conn;
            comm.CommandType = CommandType.Text;
            comm.CommandText = string.Format("insert into haml values({0}, '{1}', '{2}', '{3}', '{4}', '{5}', '{6}', {7})", Convert.ToInt32(TxtHamlCode.Text), TxtNoe_Mashin.Text, TxtSh_Pelak_Mashin.Text, TxtVorudTarikh.Text, Txtname_rannande.Text, TxtKhorujTarikh.Text, TxtDescription.Text, Convert.ToInt32(TxtCodeAnbar.Text));

            conn.Open();
            try
            {
                comm.ExecuteNonQuery();
            }
            catch { }
            conn.Close();

            TxtNoe_Mashin.Text = "";
            TxtSh_Pelak_Mashin.Text = "";
            TxtVorudTarikh.Text = "";
            Txtname_rannande.Text = "";
            TxtKhorujTarikh.Text = "";
            TxtDescription.Text = "";
            TxtCodeAnbar.Text = "";
            TxtHamlCode.Text = "";

            hamlTableAdapter.ClearBeforeFill = true;
            hamlTableAdapter.Fill(anbardariDataSetHaml.haml);
        }

        private void BtnUpdate_Click(object sender, EventArgs e)
        {
            if (TxtNoe_Mashin.Text == string.Empty)
                TxtNoe_Mashin.Text = " ";
            if (TxtSh_Pelak_Mashin.Text == string.Empty)
                TxtSh_Pelak_Mashin.Text = " ";
            if (TxtVorudTarikh.Text == string.Empty)
                TxtVorudTarikh.Text = Convert.ToString(DateTime.Now);
            if (Txtname_rannande.Text == string.Empty)
                Txtname_rannande.Text = " ";
            if (TxtKhorujTarikh.Text == string.Empty)
                TxtKhorujTarikh.Text = Convert.ToString(DateTime.Now.AddHours(2));
            if (TxtDescription.Text == string.Empty)
                TxtDescription.Text = " ";
            if (TxtCodeAnbar.Text == string.Empty)
                TxtCodeAnbar.Text = "1";

            SqlConnection conn = new SqlConnection();
            conn.ConnectionString = "Data Source=.;AttachDbFilename=|DataDirectory|\\anbardari.mdf;Integrated Security=True";

            SqlCommand comm = new SqlCommand();
            comm.Connection = conn;
            comm.CommandType = CommandType.Text;
            comm.CommandText = string.Format("UPDATE haml SET noe_mashin = '{1}', sh_Pelak_mashin = '{2}', vorud_tarikh = '{3}', name_rannande = '{4}', khoroj_tarikh = '{5}', description = '{6}', codeanbar = {7} where haml_code = {0}", Convert.ToInt32(TxtHamlCode.Text), TxtNoe_Mashin.Text, TxtSh_Pelak_Mashin.Text, TxtVorudTarikh.Text, Txtname_rannande.Text, TxtKhorujTarikh.Text, TxtDescription.Text, Convert.ToInt32(TxtCodeAnbar.Text));

            conn.Open();
            try
            {
                comm.ExecuteNonQuery();
            }
            catch { }
            conn.Close();

            TxtNoe_Mashin.Text = "";
            TxtSh_Pelak_Mashin.Text = "";
            TxtVorudTarikh.Text = "";
            Txtname_rannande.Text = "";
            TxtKhorujTarikh.Text = "";
            TxtDescription.Text = "";
            TxtCodeAnbar.Text = "";
            TxtHamlCode.Text = "";

            hamlTableAdapter.ClearBeforeFill = true;
            hamlTableAdapter.Fill(anbardariDataSetHaml.haml);
        }

        private void BtnDelete_Click(object sender, EventArgs e)
        {
            SqlConnection conn = new SqlConnection();
            conn.ConnectionString = "Data Source=.;AttachDbFilename=|DataDirectory|\\anbardari.mdf;Integrated Security=True";

            SqlCommand comm = new SqlCommand();
            comm.Connection = conn;
            comm.CommandType = CommandType.Text;
            comm.CommandText = string.Format("delete from haml where haml_code = {0}", Convert.ToInt32(TxtHamlCode.Text));

            conn.Open();
            try
            {
                comm.ExecuteNonQuery();
            }
            catch { }
            conn.Close();

            TxtNoe_Mashin.Text = "";
            TxtSh_Pelak_Mashin.Text = "";
            TxtVorudTarikh.Text = "";
            Txtname_rannande.Text = "";
            TxtKhorujTarikh.Text = "";
            TxtDescription.Text = "";
            TxtCodeAnbar.Text = "";
            TxtHamlCode.Text = "";

            hamlTableAdapter.ClearBeforeFill = true;
            hamlTableAdapter.Fill(anbardariDataSetHaml.haml);
        }

        private void Haml_Load(object sender, EventArgs e)
        {
            // TODO: This line of code loads data into the 'anbardariDataSetHaml.haml' table. You can move, or remove it, as needed.
            this.hamlTableAdapter.Fill(this.anbardariDataSetHaml.haml);

        }

        private void BtnSearch_Click(object sender, EventArgs e)
        {
            SqlConnection conn = new SqlConnection();
            conn.ConnectionString = "Data Source=.;AttachDbFilename=|DataDirectory|\\anbardari.mdf;Integrated Security=True";

            SqlCommand commnoe_mashin = new SqlCommand();
            commnoe_mashin.Connection = conn;
            commnoe_mashin.CommandType = CommandType.Text;
            commnoe_mashin.CommandText = string.Format("select noe_mashin from haml where haml_code = {0}", TxtHamlCode.Text);

            SqlCommand commsh_Pelak_mashin = new SqlCommand();
            commsh_Pelak_mashin.Connection = conn;
            commsh_Pelak_mashin.CommandType = CommandType.Text;
            commsh_Pelak_mashin.CommandText = string.Format("select sh_Pelak_mashin from haml where haml_code = {0}", TxtHamlCode.Text);

            SqlCommand commvorud_tarikh = new SqlCommand();
            commvorud_tarikh.Connection = conn;
            commvorud_tarikh.CommandType = CommandType.Text;
            commvorud_tarikh.CommandText = string.Format("select vorud_tarikh from haml where haml_code = {0}", TxtHamlCode.Text);

            SqlCommand commname_ranande = new SqlCommand();
            commname_ranande.Connection = conn;
            commname_ranande.CommandType = CommandType.Text;
            commname_ranande.CommandText = string.Format("select name_ranande from haml where haml_code = {0}", TxtHamlCode.Text);

            SqlCommand commkhoroj_tarikh = new SqlCommand();
            commkhoroj_tarikh.Connection = conn;
            commkhoroj_tarikh.CommandType = CommandType.Text;
            commkhoroj_tarikh.CommandText = string.Format("select khoroj_tarikh from haml where haml_code = {0}", TxtHamlCode.Text);

            SqlCommand commdescription = new SqlCommand();
            commdescription.Connection = conn;
            commdescription.CommandType = CommandType.Text;
            commdescription.CommandText = string.Format("select description from haml where haml_code = {0}", TxtHamlCode.Text);

            SqlCommand commcodeanbar = new SqlCommand();
            commcodeanbar.Connection = conn;
            commcodeanbar.CommandType = CommandType.Text;
            commcodeanbar.CommandText = string.Format("select codeanbar from haml where haml_code = {0}", TxtHamlCode.Text);

            conn.Open();
            try
            {
                TxtNoe_Mashin.Text = Convert.ToString(commnoe_mashin.ExecuteScalar());
                TxtSh_Pelak_Mashin.Text = Convert.ToString(commsh_Pelak_mashin.ExecuteScalar());
                TxtVorudTarikh.Text = Convert.ToString(commvorud_tarikh.ExecuteScalar());
                Txtname_rannande.Text = Convert.ToString(commname_ranande.ExecuteScalar());
                TxtKhorujTarikh.Text = Convert.ToString(commkhoroj_tarikh.ExecuteScalar());
                TxtDescription.Text = Convert.ToString(commdescription.ExecuteScalar());
                TxtCodeAnbar.Text = Convert.ToString(commcodeanbar.ExecuteScalar());

            }
            catch { }
            conn.Close();
        }
    }
}
