﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Data.Sql;
using System.Data.SqlClient;

namespace Anbardari
{
    public partial class Product : Form
    {
        public Product()
        {
            InitializeComponent();
        }

        private void Product_Load(object sender, EventArgs e)
        {
            // TODO: This line of code loads data into the 'anbardariDataSet5.Product' table. You can move, or remove it, as needed.
            this.productTableAdapter.Fill(this.anbardariDataSet5.Product);

        }

        private void BtnNew_Click(object sender, EventArgs e)
        {
            if (TxtProductName.Text == string.Empty)
                TxtProductName.Text = " ";
            if (TxtVahed.Text == string.Empty)
                TxtVahed.Text = " ";
            if (TxtAnbarCode.Text == string.Empty)
                TxtAnbarCode.Text = "0";
            if (TxtMin.Text == string.Empty)
                TxtMin.Text = "0";
            if (TxtMax.Text == string.Empty)
                TxtMax.Text = "0";
            if (TxtDescription.Text == string.Empty)
                TxtDescription.Text = " ";
            if (TxtPrice.Text == string.Empty)
                TxtPrice.Text = "0";
            if (TxtSupplyCode.Text == string.Empty)
                TxtSupplyCode.Text = "0";


            SqlConnection conn = new SqlConnection();
            conn.ConnectionString = "Data Source=.;AttachDbFilename=|DataDirectory|\\anbardari.mdf;Integrated Security=True";

            SqlCommand comm = new SqlCommand();
            comm.Connection = conn;
            comm.CommandType = CommandType.Text;
            comm.CommandText = string.Format("insert into product values ({0}, '{1}', '{2}', {3}, {4}, {5}, '{6}', {7}, {8})", Convert.ToInt32(TxtProductID.Text), TxtProductName.Text, TxtVahed.Text, Convert.ToInt32(TxtAnbarCode.Text), Convert.ToInt32(TxtMin.Text), Convert.ToInt32(TxtMax.Text), TxtDescription.Text, Convert.ToDecimal(TxtPrice.Text), Convert.ToInt32(TxtSupplyCode.Text));

            conn.Open();
            try
            {
                comm.ExecuteNonQuery();
            }
            catch { }
            conn.Close();

            TxtProductID.Text = "";
            TxtProductName.Text = "";
            TxtVahed.Text = "";
            TxtAnbarCode.Text = "";
            TxtMin.Text = "";
            TxtMax.Text = "";
            TxtDescription.Text = "";
            TxtPrice.Text = "";
            TxtSupplyCode.Text = "";

            productTableAdapter.ClearBeforeFill = true;
            productTableAdapter.Fill(anbardariDataSet5.Product);
        }

        private void BtnUpdate_Click(object sender, EventArgs e)
        {
            if (TxtProductName.Text == string.Empty)
                TxtProductName.Text = " ";
            if (TxtVahed.Text == string.Empty)
                TxtVahed.Text = " ";
            if (TxtAnbarCode.Text == string.Empty)
                TxtAnbarCode.Text = "0";
            if (TxtMin.Text == string.Empty)
                TxtMin.Text = "0";
            if (TxtMax.Text == string.Empty)
                TxtMax.Text = "0";
            if (TxtDescription.Text == string.Empty)
                TxtDescription.Text = " ";
            if (TxtPrice.Text == string.Empty)
                TxtPrice.Text = "0";
            if (TxtSupplyCode.Text == string.Empty)
                TxtSupplyCode.Text = "0";


            SqlConnection conn = new SqlConnection();
            conn.ConnectionString = "Data Source=.;AttachDbFilename=|DataDirectory|\\anbardari.mdf;Integrated Security=True";

            SqlCommand comm = new SqlCommand();
            comm.Connection = conn;
            comm.CommandType = CommandType.Text;
            comm.CommandText = string.Format("update product set product_name = '{1}', vahed = '{2}', anbar_code = {3}, min = {4}, max = {5}, description = '{6}', price = {7}, supply_code = {8} where product_id = {0}", Convert.ToInt32(TxtProductID.Text), TxtProductName.Text, TxtVahed.Text, Convert.ToInt32(TxtAnbarCode.Text), Convert.ToInt32(TxtMin.Text), Convert.ToInt32(TxtMax.Text), TxtDescription.Text, Convert.ToDecimal(TxtPrice.Text), Convert.ToInt32(TxtSupplyCode.Text));

            conn.Open();
            try
            {
                comm.ExecuteNonQuery();
            }
            catch { }
            conn.Close();

            TxtProductID.Text = "";
            TxtProductName.Text = "";
            TxtVahed.Text = "";
            TxtAnbarCode.Text = "";
            TxtMin.Text = "";
            TxtMax.Text = "";
            TxtDescription.Text = "";
            TxtPrice.Text = "";
            TxtSupplyCode.Text = "";

            productTableAdapter.ClearBeforeFill = true;
            productTableAdapter.Fill(anbardariDataSet5.Product);
        }

        private void BtnDelete_Click(object sender, EventArgs e)
        {
            SqlConnection conn = new SqlConnection();
            conn.ConnectionString = "Data Source=.;AttachDbFilename=|DataDirectory|\\anbardari.mdf;Integrated Security=True";

            SqlCommand comm = new SqlCommand();
            comm.Connection = conn;
            comm.CommandType = CommandType.Text;
            comm.CommandText = string.Format("delete from product where product_ID = {0}", Convert.ToInt32(TxtProductID.Text));

            conn.Open();
            try
            {
                comm.ExecuteNonQuery();
            }
            catch { }
            conn.Close();

            TxtProductID.Text = "";
            TxtProductName.Text = "";
            TxtVahed.Text = "";
            TxtAnbarCode.Text = "";
            TxtMin.Text = "";
            TxtMax.Text = "";
            TxtDescription.Text = "";
            TxtPrice.Text = "";
            TxtSupplyCode.Text = "";

            productTableAdapter.ClearBeforeFill = true;
            productTableAdapter.Fill(anbardariDataSet5.Product);
        }

        private void BtnSearch_Click(object sender, EventArgs e)
        {
            SqlConnection conn = new SqlConnection();
            conn.ConnectionString = "Data Source=.;AttachDbFilename=|DataDirectory|\\anbardari.mdf;Integrated Security=True";

            SqlCommand commproduct_name = new SqlCommand();
            commproduct_name.Connection = conn;
            commproduct_name.CommandType = CommandType.Text;
            commproduct_name.CommandText = string.Format("select product_name from Product where Product_ID = {0}", TxtProductID.Text);

            SqlCommand commVahed = new SqlCommand();
            commVahed.Connection = conn;
            commVahed.CommandType = CommandType.Text;
            commVahed.CommandText = string.Format("select Vahed from Product where Product_ID = {0}", TxtProductID.Text);

            SqlCommand commAnbar_code = new SqlCommand();
            commAnbar_code.Connection = conn;
            commAnbar_code.CommandType = CommandType.Text;
            commAnbar_code.CommandText = string.Format("select Anbar_code from Product where Product_ID = {0}", TxtProductID.Text);

            SqlCommand commMin = new SqlCommand();
            commMin.Connection = conn;
            commMin.CommandType = CommandType.Text;
            commMin.CommandText = string.Format("select Min from Product where Product_ID = {0}", TxtProductID.Text);

            SqlCommand commMax = new SqlCommand();
            commMax.Connection = conn;
            commMax.CommandType = CommandType.Text;
            commMax.CommandText = string.Format("select max from Product where Product_ID = {0}", TxtProductID.Text);

            SqlCommand commdescription = new SqlCommand();
            commdescription.Connection = conn;
            commdescription.CommandType = CommandType.Text;
            commdescription.CommandText = string.Format("select description from Product where Product_ID = {0}", TxtProductID.Text);

            SqlCommand commprice = new SqlCommand();
            commprice.Connection = conn;
            commprice.CommandType = CommandType.Text;
            commprice.CommandText = string.Format("select price from Product where Product_ID = {0}", TxtProductID.Text);

            SqlCommand commSupply_Code = new SqlCommand();
            commSupply_Code.Connection = conn;
            commSupply_Code.CommandType = CommandType.Text;
            commSupply_Code.CommandText = string.Format("select Supply_Code from Product where Product_ID = {0}", TxtProductID.Text);

            conn.Open();
            try
            {
                TxtProductName.Text = Convert.ToString(commproduct_name.ExecuteScalar());
                TxtVahed.Text = Convert.ToString(commVahed.ExecuteScalar());
                TxtAnbarCode.Text = Convert.ToString(commAnbar_code.ExecuteScalar());
                TxtMin.Text = Convert.ToString(commMin.ExecuteScalar());
                TxtMax.Text = Convert.ToString(commMax.ExecuteScalar());
                TxtDescription.Text = Convert.ToString(commdescription.ExecuteScalar());
                TxtPrice.Text = Convert.ToString(commprice.ExecuteScalar());
                TxtSupplyCode.Text = Convert.ToString(commSupply_Code.ExecuteScalar());
            }
            catch { }
            conn.Close();
        }
    }
}
