﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Data.SqlClient;
using System.Data.Sql;

namespace Anbardari
{
    public partial class Vasile : Form
    {
        public Vasile()
        {
            InitializeComponent();
        }

        private void BtnNew_Click(object sender, EventArgs e)
        {
            if (TxtVasileName.Text == string.Empty)
                TxtVasileName.Text = " ";
            if (TxtRangeVasile.Text == string.Empty)
                TxtRangeVasile.Text = " ";
            if (TxtTedadVasile.Text == string.Empty)
                TxtTedadVasile.Text = "0";
            if (TxtPriceVasile.Text == string.Empty)
                TxtPriceVasile.Text = "0";
            if (TxtTozihat.Text == string.Empty)
                TxtTozihat.Text = " ";


            SqlConnection conn = new SqlConnection();
            conn.ConnectionString = "Data Source=.;AttachDbFilename=|DataDirectory|\\anbardari.mdf;Integrated Security=True";

            SqlCommand comm = new SqlCommand();
            comm.Connection = conn;
            comm.CommandType = CommandType.Text;
            comm.CommandText = string.Format("insert into Vasile values ({0}, '{1}', '{2}', {3}, {4}, '{5}')", Convert.ToInt32(TxtVasileCode.Text), TxtVasileName.Text, TxtRangeVasile.Text, Convert.ToInt32(TxtTedadVasile.Text), Convert.ToDecimal(TxtPriceVasile.Text), TxtTozihat.Text);

            conn.Open();
            try
            {
                comm.ExecuteNonQuery();
            }
            catch { }
            conn.Close();

            TxtVasileCode.Text = "";
            TxtVasileName.Text = "";
            TxtRangeVasile.Text = "";
            TxtTedadVasile.Text = "";
            TxtPriceVasile.Text = "";
            TxtTozihat.Text = "";

            vasileTableAdapter.ClearBeforeFill = true;
            vasileTableAdapter.Fill(anbardariDataSet2.Vasile);
        }

        private void BtnUpdate_Click(object sender, EventArgs e)
        {
            if (TxtVasileName.Text == string.Empty)
                TxtVasileName.Text = " ";
            if (TxtRangeVasile.Text == string.Empty)
                TxtRangeVasile.Text = " ";
            if (TxtTedadVasile.Text == string.Empty)
                TxtTedadVasile.Text = "0";
            if (TxtPriceVasile.Text == string.Empty)
                TxtPriceVasile.Text = "0";
            if (TxtTozihat.Text == string.Empty)
                TxtTozihat.Text = " ";

            SqlConnection conn = new SqlConnection();
            conn.ConnectionString = "Data Source=.;AttachDbFilename=|DataDirectory|\\anbardari.mdf;Integrated Security=True";

            SqlCommand comm = new SqlCommand();
            comm.Connection = conn;
            comm.CommandType = CommandType.Text;
            comm.CommandText = string.Format("update Vasile set vasile_Name = '{1}', Range_vasile = '{2}', Tedad_vasile = {3}, price_vaslie = {4}, tozihat = '{5}' where vasile_code = {0}", Convert.ToInt32(TxtVasileCode.Text), TxtVasileName.Text, TxtRangeVasile.Text, Convert.ToInt32(TxtTedadVasile.Text), Convert.ToDecimal(TxtPriceVasile.Text), TxtTozihat.Text);

            conn.Open();
            try
            {
                comm.ExecuteNonQuery();
            }
            catch { }
            conn.Close();

            TxtVasileCode.Text = "";
            TxtVasileName.Text = "";
            TxtRangeVasile.Text = "";
            TxtTedadVasile.Text = "";
            TxtPriceVasile.Text = "";
            TxtTozihat.Text = "";

            vasileTableAdapter.ClearBeforeFill = true;
            vasileTableAdapter.Fill(anbardariDataSet2.Vasile);
        }

        private void BtnDelete_Click(object sender, EventArgs e)
        {
            SqlConnection conn = new SqlConnection();
            conn.ConnectionString = "Data Source=.;AttachDbFilename=|DataDirectory|\\anbardari.mdf;Integrated Security=True";

            SqlCommand comm = new SqlCommand();
            comm.Connection = conn;
            comm.CommandType = CommandType.Text;
            comm.CommandText = string.Format("delete vasile where vasile_code = {0}", Convert.ToInt32(TxtVasileCode.Text));

            conn.Open();
            try
            {
                comm.ExecuteNonQuery();
            }
            catch { }
            conn.Close();

            TxtVasileCode.Text = "";
            TxtVasileName.Text = "";
            TxtRangeVasile.Text = "";
            TxtTedadVasile.Text = "";
            TxtPriceVasile.Text = "";
            TxtTozihat.Text = "";

            vasileTableAdapter.ClearBeforeFill = true;
            vasileTableAdapter.Fill(anbardariDataSet2.Vasile);
        }

        private void Vasile_Load(object sender, EventArgs e)
        {
            // TODO: This line of code loads data into the 'anbardariDataSet2.Vasile' table. You can move, or remove it, as needed.
            this.vasileTableAdapter.Fill(this.anbardariDataSet2.Vasile);

        }

        private void BtnSearch_Click(object sender, EventArgs e)
        {
            SqlConnection conn = new SqlConnection();
            conn.ConnectionString = "Data Source=.;AttachDbFilename=|DataDirectory|\\anbardari.mdf;Integrated Security=True";

            SqlCommand commvasile_name = new SqlCommand();
            commvasile_name.Connection = conn;
            commvasile_name.CommandType = CommandType.Text;
            commvasile_name.CommandText = string.Format("select vasile_name from Vasile where vasile_code = {0}", TxtVasileCode.Text);

            SqlCommand commRange_vasile = new SqlCommand();
            commRange_vasile.Connection = conn;
            commRange_vasile.CommandType = CommandType.Text;
            commRange_vasile.CommandText = string.Format("select Range_vasile from Vasile where vasile_code = {0}", TxtVasileCode.Text);

            SqlCommand commTedad_vasile = new SqlCommand();
            commTedad_vasile.Connection = conn;
            commTedad_vasile.CommandType = CommandType.Text;
            commTedad_vasile.CommandText = string.Format("select Tedad_vasile from Vasile where vasile_code = {0}", TxtVasileCode.Text);

            SqlCommand commprice_vaslie = new SqlCommand();
            commprice_vaslie.Connection = conn;
            commprice_vaslie.CommandType = CommandType.Text;
            commprice_vaslie.CommandText = string.Format("select price_vaslie from Vasile where vasile_code = {0}", TxtVasileCode.Text);

            SqlCommand commtozihat = new SqlCommand();
            commtozihat.Connection = conn;
            commtozihat.CommandType = CommandType.Text;
            commtozihat.CommandText = string.Format("select tozihat from Vasile where vasile_code = {0}", TxtVasileCode.Text);

            conn.Open();
            try
            {
                TxtVasileName.Text = Convert.ToString(commvasile_name.ExecuteScalar());
                TxtRangeVasile.Text = Convert.ToString(commRange_vasile.ExecuteScalar());
                TxtTedadVasile.Text = Convert.ToString(commTedad_vasile.ExecuteScalar());
                TxtPriceVasile.Text = Convert.ToString(commprice_vaslie.ExecuteScalar());
                TxtTozihat.Text = Convert.ToString(commtozihat.ExecuteScalar());
            }
            catch { }
            conn.Close();
        }
    }
}
