﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Data.Sql;
using System.Data.SqlClient;

namespace Anbardari
{
    public partial class VaziatCheck : Form
    {
        public VaziatCheck()
        {
            InitializeComponent();
        }

        private void VaziatCheck_Load(object sender, EventArgs e)
        {
            // TODO: This line of code loads data into the 'anbardariDataSetVaziatCheck.Vaziat_Check' table. You can move, or remove it, as needed.
            this.vaziat_CheckTableAdapter.Fill(this.anbardariDataSetVaziatCheck.Vaziat_Check);

        }

        private void BtnNew_Click(object sender, EventArgs e)
        {
            if (TxtTarikheDaryafteCheck.Text == string.Empty)
                TxtTarikheDaryafteCheck.Text = Convert.ToString(DateTime.Now);
            if (TxtMoshtariCode.Text == string.Empty)
                TxtMoshtariCode.Text = "0";

            
            SqlConnection conn = new SqlConnection();
            conn.ConnectionString = "Data Source=.;AttachDbFilename=|DataDirectory|\\anbardari.mdf;Integrated Security=True";

            SqlCommand comm = new SqlCommand();
            comm.Connection = conn;
            comm.CommandType = CommandType.Text;
            comm.CommandText = string.Format("insert into vaziat_check values ({0}, '{1}', {2})", Convert.ToInt32(TxtShomareCheck.Text), TxtTarikheDaryafteCheck.Text, Convert.ToInt32(TxtMoshtariCode.Text));

            conn.Open();
            try
            {
                comm.ExecuteNonQuery();
            }
            catch { }
            conn.Close();

            TxtMoshtariCode.Text = "";
            TxtShomareCheck.Text = "";
            TxtTarikheDaryafteCheck.Text = "";

            vaziat_CheckTableAdapter.ClearBeforeFill = true;
            vaziat_CheckTableAdapter.Fill(anbardariDataSetVaziatCheck.Vaziat_Check);
        }

        private void BtnUpdate_Click(object sender, EventArgs e)
        {
            if (TxtTarikheDaryafteCheck.Text == string.Empty)
                TxtTarikheDaryafteCheck.Text = Convert.ToString(DateTime.Now.AddDays(14));
            if (TxtMoshtariCode.Text == string.Empty)
                TxtMoshtariCode.Text = "0";

            SqlConnection conn = new SqlConnection();
            conn.ConnectionString = "Data Source=.;AttachDbFilename=|DataDirectory|\\anbardari.mdf;Integrated Security=True";

            SqlCommand comm = new SqlCommand();
            comm.Connection = conn;
            comm.CommandType = CommandType.Text;
            comm.CommandText = string.Format("update Vaziat_Check set Tarikhe_dariafte_check = '{0}', moshtari_Code = {1} where shomare_Check = {2}", TxtTarikheDaryafteCheck.Text, Convert.ToInt32(TxtMoshtariCode.Text), Convert.ToInt32(TxtShomareCheck.Text));

            conn.Open();
            try
            {
                comm.ExecuteNonQuery();
            }
            catch { }
            conn.Close();

            TxtMoshtariCode.Text = "";
            TxtShomareCheck.Text = "";
            TxtTarikheDaryafteCheck.Text = "";

            vaziat_CheckTableAdapter.ClearBeforeFill = true;
            vaziat_CheckTableAdapter.Fill(anbardariDataSetVaziatCheck.Vaziat_Check);
        }

        private void BtnDelete_Click(object sender, EventArgs e)
        {
            SqlConnection conn = new SqlConnection();
            conn.ConnectionString = "Data Source=.;AttachDbFilename=|DataDirectory|\\anbardari.mdf;Integrated Security=True";

            SqlCommand comm = new SqlCommand();
            comm.Connection = conn;
            comm.CommandType = CommandType.Text;
            comm.CommandText = string.Format("delete vaziat_check where shomare_check = {0}", TxtShomareCheck.Text);

            conn.Open();
            try
            {
                comm.ExecuteNonQuery();
            }
            catch { }
            conn.Close();

            TxtMoshtariCode.Text = "";
            TxtShomareCheck.Text = "";
            TxtTarikheDaryafteCheck.Text = "";

            vaziat_CheckTableAdapter.ClearBeforeFill = true;
            vaziat_CheckTableAdapter.Fill(anbardariDataSetVaziatCheck.Vaziat_Check);
        }

        private void BtnSearch_Click(object sender, EventArgs e)
        {
            SqlConnection conn = new SqlConnection();
            conn.ConnectionString = "Data Source=.;AttachDbFilename=|DataDirectory|\\anbardari.mdf;Integrated Security=True";

            SqlCommand commTarikhe_dariafte_check = new SqlCommand();
            commTarikhe_dariafte_check.Connection = conn;
            commTarikhe_dariafte_check.CommandType = CommandType.Text;
            commTarikhe_dariafte_check.CommandText = string.Format("select Tarikhe_dariafte_check from Vaziat_Check where shomare_Check = {0}", TxtShomareCheck.Text);

            SqlCommand commmoshtari_Code = new SqlCommand();
            commmoshtari_Code.Connection = conn;
            commmoshtari_Code.CommandType = CommandType.Text;
            commmoshtari_Code.CommandText = string.Format("select moshtari_Code from Vaziat_Check where shomare_Check = {0}", TxtShomareCheck.Text);

            conn.Open();
            try
            {
                TxtTarikheDaryafteCheck.Text = Convert.ToString(commTarikhe_dariafte_check.ExecuteScalar());
                TxtMoshtariCode.Text = Convert.ToString(commmoshtari_Code.ExecuteScalar());
            }
            catch { }
            conn.Close();
        }
    }
}
